summaryrefslogtreecommitdiffstats
path: root/syrep-chub-client
diff options
context:
space:
mode:
Diffstat (limited to 'syrep-chub-client')
-rwxr-xr-xsyrep-chub-client13
1 files changed, 13 insertions, 0 deletions
diff --git a/syrep-chub-client b/syrep-chub-client
new file mode 100755
index 0000000..0db57bb
--- /dev/null
+++ b/syrep-chub-client
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+SOURCE="$1"
+if [ -z "$SOURCE" ] ; then
+ echo "You need to specify a file to upload" > /dev/stderr
+ exit 1
+fi
+
+URL="https://seth.intheinter.net/lennart/syrep-chub/upload.cgi"
+DATE=$(date '+%Y%m%d%k%M%S')
+FNAME="$HOSTNAME-$DATE"
+
+exec curl -f -s -k -T "$SOURCE" "$URL?$FNAME" > /dev/null